/* Description of the mobile:
 *
 * Mobile:          Nokia E50 (Nokia Series 60)
 * FirmwareVersion: ???
 * SoftwareVersion: 
 * HardwareVersion: ???
 *
 */

#include "obex_mobile.c"

const char *mobile_name = "Nokia E50";
unsigned int max_msg_size = 65535;
unsigned int max_obj_size = 102400;
SmlBool useTimestamp = TRUE;

const char *source = "PC Suite";
const char *target = "/";

const char *locList[] = {"./Contacts", SML_ELEMENT_TEXT_VCARD,
                         "./Calendar", SML_ELEMENT_TEXT_VCAL,
                         NULL, NULL};

const char *libsyncml_msg_notification = "<?xml version=\"1.0\"?>\n<!DOCTYPE SyncML PUBLIC \"-//SYNCML//DTD SyncML 1.1//EN\" \"http://www.syncml.org/docs/syncml_represent_v11_20020213.dtd\"><SyncML xmlns=\"SYNCML:SYNCML1.1\"><SyncHdr><VerDTD>1.1</VerDTD><VerProto>SyncML/1.1</VerProto><SessionID>17147399834565595805</SessionID><MsgID>1</MsgID><Target><LocURI>/</LocURI></Target><Source><LocURI>PC Suite</LocURI></Source><Meta><MaxMsgSize xmlns=\"syncml:metinf\">65535</MaxMsgSize></Meta></SyncHdr>\n<SyncBody><Alert><CmdID>1</CmdID><Data>206</Data><Item><Source><LocURI>./Contacts</LocURI></Source><Meta><Type xmlns=\"syncml:metinf\">text/x-vcard</Type></Meta></Item>\n</Alert><Alert><CmdID>2</CmdID><Data>206</Data><Item><Source><LocURI>./Calendar</LocURI></Source><Meta><Type xmlns=\"syncml:metinf\">text/x-vcalendar</Type></Meta></Item>\n</Alert><Final></Final></SyncBody></SyncML>";

const char *mobile_msg_alert = "<?xml version=\"1.0\"?><!DOCTYPE SyncML PUBLIC \"-//SYNCML//DTD SyncML 1.1//EN\" \"http://www.syncml.org/docs/syncml_represent_v11_20020213.dtd\"><SyncML xmlns=\"SYNCML:SYNCML1.1\"><SyncHdr><VerDTD>1.1</VerDTD><VerProto>SyncML/1.1</VerProto><SessionID>2</SessionID><MsgID>1</MsgID><Target><LocURI>PC Suite</LocURI></Target><Source><LocURI>IMEI:123456789012345</LocURI></Source><Meta><MaxMsgSize xmlns=\"syncml:metinf\">65535</MaxMsgSize></Meta></SyncHdr><SyncBody><Status><CmdID>1</CmdID><MsgRef>1</MsgRef><CmdRef>0</CmdRef><Cmd>SyncHdr</Cmd><TargetRef>/</TargetRef><SourceRef>PC Suite</SourceRef><Data>200</Data></Status><Status><CmdID>2</CmdID><MsgRef>1</MsgRef><CmdRef>1</CmdRef><Cmd>Alert</Cmd><SourceRef>./Contacts</SourceRef><Data>200</Data></Status><Status><CmdID>3</CmdID><MsgRef>1</MsgRef><CmdRef>2</CmdRef><Cmd>Alert</Cmd><SourceRef>./Calendar</SourceRef><Data>200</Data></Status><Alert><CmdID>4</CmdID><Data>200</Data><Item><Target><LocURI>./Calendar</LocURI></Target><Source><LocURI>./C:Calendar</LocURI></Source><Meta><Anchor xmlns=\"syncml:metinf\"><Last>20080721T111027Z</Last><Next>20080721T145830Z</Next></Anchor></Meta></Item></Alert><Alert><CmdID>5</CmdID><Data>200</Data><Item><Target><LocURI>./Contacts</LocURI></Target><Source><LocURI>./C:Contacts.cdb</LocURI></Source><Meta><Anchor xmlns=\"syncml:metinf\"><Last>20080721T111027Z</Last><Next>20080721T145830Z</Next></Anchor></Meta></Item></Alert><Final/></SyncBody></SyncML>";

const char *libsyncml_msg_alert = "<?xml version=\"1.0\"?>\n<!DOCTYPE SyncML PUBLIC \"-//SYNCML//DTD SyncML 1.1//EN\" \"http://www.syncml.org/docs/syncml_represent_v11_20020213.dtd\"><SyncML xmlns=\"SYNCML:SYNCML1.1\"><SyncHdr><VerDTD>1.1</VerDTD><VerProto>SyncML/1.1</VerProto><SessionID>2</SessionID><MsgID>2</MsgID><Target><LocURI>IMEI:123456789012345</LocURI></Target><Source><LocURI>PC Suite</LocURI></Source><Meta><MaxMsgSize xmlns=\"syncml:metinf\">65535</MaxMsgSize></Meta></SyncHdr>\n<SyncBody><Status><CmdID>1</CmdID><MsgRef>1</MsgRef><CmdRef>0</CmdRef><Cmd>SyncHdr</Cmd><TargetRef>PC Suite</TargetRef><SourceRef>IMEI:123456789012345</SourceRef><Data>200</Data></Status>\n<Status><CmdID>2</CmdID><MsgRef>1</MsgRef><CmdRef>4</CmdRef><Cmd>Alert</Cmd><TargetRef>./Calendar</TargetRef><SourceRef>./C:Calendar</SourceRef><Data>508</Data><Item><Data><Anchor xmlns=\"syncml:metinf\"><Next xmlns=\"syncml:metinf\">20080721T145830Z</Next></Anchor></Data></Item></Status>\n<Status><CmdID>3</CmdID><MsgRef>1</MsgRef><CmdRef>5</CmdRef><Cmd>Alert</Cmd><TargetRef>./Contacts</TargetRef><SourceRef>./C:Contacts.cdb</SourceRef><Data>508</Data><Item><Data><Anchor xmlns=\"syncml:metinf\"><Next xmlns=\"syncml:metinf\">20080721T145830Z</Next></Anchor></Data></Item></Status>\n<Alert><CmdID>4</CmdID><Data>201</Data><Item><Target><LocURI>./C:Calendar</LocURI></Target><Source><LocURI>./Calendar</LocURI></Source><Meta><Anchor xmlns=\"syncml:metinf\"><Next xmlns=\"syncml:metinf\">20080721T145830Z</Next></Anchor></Meta></Item>\n</Alert><Alert><CmdID>5</CmdID><Data>201</Data><Item><Target><LocURI>./C:Contacts.cdb</LocURI></Target><Source><LocURI>./Contacts</LocURI></Source><Meta><Anchor xmlns=\"syncml:metinf\"><Next xmlns=\"syncml:metinf\">20080721T145830Z</Next></Anchor></Meta></Item>\n</Alert><Get><CmdID>6</CmdID><Meta><Type xmlns=\"syncml:metinf\">application/vnd.syncml-devinf+xml</Type></Meta><Item><Target><LocURI>./devinf11</LocURI></Target></Item>\n</Get><Final></Final></SyncBody></SyncML>";

const char *mobile_msg_sync = "<?xml version=\"1.0\"?><!DOCTYPE SyncML PUBLIC \"-//SYNCML//DTD SyncML 1.1//EN\" \"http://www.syncml.org/docs/syncml_represent_v11_20020213.dtd\"><SyncML xmlns=\"SYNCML:SYNCML1.1\"><SyncHdr><VerDTD>1.1</VerDTD><VerProto>SyncML/1.1</VerProto><SessionID>2</SessionID><MsgID>2</MsgID><Target><LocURI>PC Suite</LocURI></Target><Source><LocURI>IMEI:123456789012345</LocURI></Source><Meta><MaxMsgSize xmlns=\"syncml:metinf\">65535</MaxMsgSize></Meta></SyncHdr><SyncBody><Status><CmdID>1</CmdID><MsgRef>2</MsgRef><CmdRef>0</CmdRef><Cmd>SyncHdr</Cmd><TargetRef>IMEI:123456789012345</TargetRef><SourceRef>PC Suite</SourceRef><Data>200</Data></Status><Status><CmdID>2</CmdID><MsgRef>2</MsgRef><CmdRef>4</CmdRef><Cmd>Alert</Cmd><TargetRef>./C:Calendar</TargetRef><SourceRef>./Calendar</SourceRef><Data>200</Data><Item><Data><Anchor xmlns=\"syncml:metinf\"><Next>20080721T145830Z</Next></Anchor></Data></Item></Status><Status><CmdID>3</CmdID><MsgRef>2</MsgRef><CmdRef>5</CmdRef><Cmd>Alert</Cmd><TargetRef>./C:Contacts.cdb</TargetRef><SourceRef>./Contacts</SourceRef><Data>200</Data><Item><Data><Anchor xmlns=\"syncml:metinf\"><Next>20080721T145830Z</Next></Anchor></Data></Item></Status><Status><CmdID>4</CmdID><MsgRef>2</MsgRef><CmdRef>6</CmdRef><Cmd>Get</Cmd><Data>200</Data></Status><Results><CmdID>5</CmdID><MsgRef>2</MsgRef><CmdRef>6</CmdRef><Meta><Type xmlns=\"syncml:metinf\">application/vnd.syncml-devinf+xml</Type></Meta><Item><Source><LocURI>./devinf11</LocURI></Source><Data><DevInf xmlns=\"syncml:devinf\"><VerDTD>1.1</VerDTD><Man>NOKIA</Man><Mod>E50</Mod><FwV/><SwV>V 07.36.0.0</SwV><HwV/><DevID>IMEI:123456789012345</DevID><DevTyp>phone</DevTyp><UTC/><SupportLargeObjs/><SupportNumberOfChanges/><DataStore><SourceRef>./C:Calendar</SourceRef><DisplayName>Calendar</DisplayName><MaxGUIDSize>8</MaxGUIDSize><Rx-Pref><CTType>text/x-vcalendar</CTType><VerCT>1.0</VerCT></Rx-Pref><Tx-Pref><CTType>text/x-vcalendar</CTType><VerCT>1.0</VerCT></Tx-Pref><SyncCap><SyncType>1</SyncType><SyncType>2</SyncType><SyncType>3</SyncType><SyncType>4</SyncType><SyncType>5</SyncType><SyncType>6</SyncType><SyncType>7</SyncType></SyncCap></DataStore><DataStore><SourceRef>./C:Contacts.cdb</SourceRef><DisplayName>Contacts</DisplayName><MaxGUIDSize>8</MaxGUIDSize><Rx-Pref><CTType>text/x-vcard</CTType><VerCT>2.1</VerCT></Rx-Pref><Tx-Pref><CTType>text/x-vcard</CTType><VerCT>2.1</VerCT></Tx-Pref><SyncCap><SyncType>1</SyncType><SyncType>2</SyncType><SyncType>3</SyncType><SyncType>4</SyncType><SyncType>5</SyncType><SyncType>6</SyncType><SyncType>7</SyncType></SyncCap></DataStore><CTCap><CTType>text/x-vcalendar</CTType><PropName>BEGIN</PropName><ValEnum>VCALENDAR</ValEnum><ValEnum>VEVENT</ValEnum><ValEnum>VTODO</ValEnum><DisplayName>Begin</DisplayName><PropName>END</PropName><ValEnum>VCALENDAR</ValEnum><ValEnum>VEVENT</ValEnum><ValEnum>VTODO</ValEnum><DisplayName>End</DisplayName><PropName>VERSION</PropName><ValEnum>1.0</ValEnum><DisplayName>Version</DisplayName><PropName>UID</PropName><DataType/><Size>256</Size><DisplayName>Uid</DisplayName><PropName>SUMMARY</PropName><DataType/><Size>256</Size><DisplayName>Summary</DisplayName><PropName>DESCRIPTION</PropName><DataType/><Size>256</Size><DisplayName>Description</DisplayName><PropName>DTSTART</PropName><DataType/><Size>256</Size><DisplayName>Dstart</DisplayName><PropName>DTEND</PropName><DataType/><Size>256</Size><DisplayName>Dtend</DisplayName><PropName>AALARM</PropName><DataType/><Size>256</Size><DisplayName>Aalarm</DisplayName><PropName>CLASS</PropName><ValEnum>PUBLIC</ValEnum><ValEnum>PRIVATE</ValEnum><ValEnum>CONFIDENTIAL</ValEnum><DisplayName>Class</DisplayName><PropName>LOCATION</PropName><DataType/><Size>256</Size><DisplayName>Location</DisplayName><PropName>LAST-MODIFIED</PropName><DataType/><Size>256</Size><DisplayName>Last Modified</DisplayName><PropName>PRIORITY</PropName><DataType/><Size>256</Size><DisplayName>Priority</DisplayName><PropName>STATUS</PropName><DataType/><Size>256</Size><DisplayName>Status</DisplayName><PropName>RRULE</PropName><DataType/><Size>256</Size><DisplayName>Rrule</DisplayName><PropName>COMPLETED</PropName><DataType/><Size>256</Size><DisplayName>Completed</DisplayName><PropName>DCREATED</PropName><DataType/><Size>256</Size><DisplayName>Dcreated</DisplayName><PropName>DUE</PropName><DataType/><Size>256</Size><DisplayName>Due</DisplayName><PropName>EXDATE</PropName><DataType/><Size>256</Size><DisplayName>ExDate</DisplayName><PropName>CATEGORIES</PropName><DataType/><Size>256</Size><DisplayName>Categories</DisplayName><PropName>SEQUENCE</PropName><DataType/><Size>256</Size><DisplayName>Sequence</DisplayName><PropName>TZ</PropName><DataType/><Size>256</Size><DisplayName>TZ</DisplayName><PropName>DAYLIGHT</PropName><DataType/><Size>256</Size><DisplayName>Daylight</DisplayName><PropName>RDATE</PropName><DataType/><Size>256</Size><DisplayName>RDate</DisplayName><PropName>ATTENDEE</PropName><DataType/><Size>256</Size><DisplayName>Attendee</DisplayName><ParamName>ROLE</ParamName><DataType/><DisplayName>Role</DisplayName><ParamName>STATUS</ParamName><DataType/><DisplayName>Status</DisplayName><ParamName>X-CN</ParamName><DataType/><DisplayName>X-CN</DisplayName><ParamName>X-ROLE</ParamName><DataType/><DisplayName>Role</DisplayName><ParamName>X-SENTBY</ParamName><DataType/><DisplayName>Sent by</DisplayName><PropName>X-RECURRENCE-ID</PropName><DataType/><Size>256</Size><DisplayName>Recurrence</DisplayName><PropName>X-METHOD</PropName><DataType/><Size>256</Size><DisplayName>Method</DisplayName><PropName>X-SYMBIAN-LUID</PropName><DataType/><Size>256</Size><DisplayName>Local UID</DisplayName><PropName>X-SYMBIAN-DTSTAMP</PropName><DataType/><Size>256</Size><DisplayName>Time stamp</DisplayName><PropName>X-EPOCAGENDAENTRYTYPE</PropName><DataType/><Size>256</Size><DisplayName>X-Epoc Agenda Entry Type</DisplayName><CTType>text/x-vcard</CTType><PropName>BEGIN</PropName><ValEnum>VCARD</ValEnum><DisplayName>Begin</DisplayName><PropName>END</PropName><ValEnum>VCARD</ValEnum><DisplayName>End</DisplayName><PropName>VERSION</PropName><ValEnum>2.1</ValEnum><DisplayName>Version</DisplayName><PropName>REV</PropName><DataType/><Size>256</Size><DisplayName>Revision</DisplayName><PropName>N</PropName><DataType/><Size>256</Size><DisplayName>Name</DisplayName><PropName>ADR</PropName><DataType/><Size>256</Size><DisplayName>Address</DisplayName><ParamName>HOME</ParamName><DataType/><DisplayName>Home address</DisplayName><ParamName>WORK</ParamName><DataType/><DisplayName>Work address</DisplayName><PropName>TEL</PropName><DataType/><Size>256</Size><DisplayName>Telephone number</DisplayName><ParamName>HOME</ParamName><DataType/><DisplayName>Home telephone</DisplayName><ParamName>WORK</ParamName><DataType/><DisplayName>Work telephone</DisplayName><ParamName>CELL</ParamName><DataType/><DisplayName>Cellular number</DisplayName><ParamName>PAGER</ParamName><DataType/><DisplayName>Pager number</DisplayName><ParamName>FAX</ParamName><DataType/><DisplayName>Fax number</DisplayName><ParamName>VIDEO</ParamName><DataType/><DisplayName>Video number</DisplayName><ParamName>PREF</ParamName><DataType/><DisplayName>Default number</DisplayName><PropName>FN</PropName><DataType/><Size>256</Size><DisplayName>FullName</DisplayName><PropName>EMAIL</PropName><DataType/><Size>256</Size><DisplayName>Email address</DisplayName><ParamName>HOME</ParamName><DataType/><DisplayName>Home email</DisplayName><ParamName>WORK</ParamName><DataType/><DisplayName>Work email</DisplayName><PropName>URL</PropName><DataType/><Size>256</Size><DisplayName>URL address</DisplayName><ParamName>HOME</ParamName><DataType/><DisplayName>Home URL</DisplayName><ParamName>WORK</ParamName><DataType/><DisplayName>Work URL</DisplayName><PropName>NOTE</PropName><DataType/><Size>256</Size><DisplayName>Note</DisplayName><PropName>TITLE</PropName><DataType/><Size>256</Size><DisplayName>Title</DisplayName><PropName>ORG</PropName><DataType/><Size>256</Size><DisplayName>Organisation</DisplayName><PropName>PHOTO</PropName><DataType/><Size>256</Size><DisplayName>Photo</DisplayName><PropName>BDAY</PropName><DataType/><Size>256</Size><DisplayName>Birthday</DisplayName><PropName>SOUND</PropName><DataType/><Size>256</Size><DisplayName>Sound</DisplayName><PropName>X-WV-ID</PropName><DataType/><Size>256</Size><DisplayName>Wireless Village Id</DisplayName><PropName>X-EPOCSECONDNAME</PropName><DataType/><Size>256</Size><DisplayName>Nickname</DisplayName><PropName>X-SIP</PropName><DataType/><Size>256</Size><DisplayName>SIP protocol</DisplayName><ParamName>POC</ParamName><DataType/><DisplayName>POC</DisplayName><ParamName>SWIS</ParamName><DataType/><DisplayName>SWIS</DisplayName><ParamName>VOIP</ParamName><DataType/><DisplayName>Voice over IP</DisplayName></CTCap></DevInf></Data></Item></Results><Sync><CmdID>6</CmdID><Target><LocURI>./Calendar</LocURI></Target><Source><LocURI>./C:Calendar</LocURI></Source><Meta><MaxObjSize xmlns=\"syncml:metinf\">1048576</MaxObjSize></Meta><NumberOfChanges>1</NumberOfChanges><Add><CmdID>7</CmdID><Item><Source><LocURI>2</LocURI></Source><Meta><Type xmlns=\"syncml:metinf\">text/x-vcalendar</Type><Version xmlns=\"syncml:metinf\">1.0</Version></Meta><Data><![CDATA[BEGIN:VCALENDAR\r\nVERSION:1.0\r\nBEGIN:VEVENT\r\nUID:0HFis61F4EFod40BU51QY3\r\nSUMMARY:Test\r\nDTSTART:20080623T140000Z\r\nDTEND:20080623T143000Z\r\nX-EPOCAGENDAENTRYTYPE:APPOINTMENT\r\nCLASS:PRIVATE\r\nLOCATION:Am Ort\r\nSEQUENCE:0\r\nX-METHOD:NONE\r\nLAST-MODIFIED:20080623T093356Z\r\nPRIORITY:2\r\nX-SYMBIAN-LUID:2\r\nEND:VEVENT\r\nEND:VCALENDAR\r\n]]></Data></Item></Add></Sync><Sync><CmdID>8</CmdID><Target><LocURI>./Contacts</LocURI></Target><Source><LocURI>./C:Contacts.cdb</LocURI></Source><Meta><MaxObjSize xmlns=\"syncml:metinf\">102400</MaxObjSize></Meta><NumberOfChanges>4</NumberOfChanges><Add><CmdID>9</CmdID><Item><Source><LocURI>1</LocURI></Source><Meta><Type xmlns=\"syncml:metinf\">text/x-vcard</Type><Version xmlns=\"syncml:metinf\">2.1</Version></Meta><Data><![CDATA[BEGIN:VCARD\r\nVERSION:2.1\r\nREV:20080422T075150Z\r\nN:ADAC Pannenhilfe;;;;\r\nTEL;CELL:+49172222222\r\nEND:VCARD\r\n]]></Data></Item></Add><Add><CmdID>10</CmdID><Item><Source><LocURI>2</LocURI></Source><Meta><Type xmlns=\"syncml:metinf\">text/x-vcard</Type><Version xmlns=\"syncml:metinf\">2.1</Version></Meta><Data><![CDATA[BEGIN:VCARD\r\nVERSION:2.1\r\nREV:20080422T075151Z\r\nN:AudioBook;;;;\r\nTEL;CELL:0172223322\r\nEND:VCARD\r\n]]></Data></Item></Add><Add><CmdID>11</CmdID><Item><Source><LocURI>3</LocURI></Source><Meta><Type xmlns=\"syncml:metinf\">text/x-vcard</Type><Version xmlns=\"syncml:metinf\">2.1</Version></Meta><Data><![CDATA[BEGIN:VCARD\r\nVERSION:2.1\r\nREV:20080422T075152Z\r\nN:Auskunft 2288;;;;\r\nTEL;CELL:+491722288\r\nEND:VCARD\r\n]]></Data></Item></Add><Add><CmdID>12</CmdID><Item><Source><LocURI>13</LocURI></Source><Meta><Type xmlns=\"syncml:metinf\">text/x-vcard</Type><Version xmlns=\"syncml:metinf\">2.1</Version></Meta><Data><![CDATA[BEGIN:VCARD\r\nVERSION:2.1\r\nREV:20080422T075155Z\r\nN:Mailbox;;;;\r\nTEL;CELL:5500\r\nEND:VCARD\r\n]]></Data></Item></Add></Sync><Final/></SyncBody></SyncML>";

const char *libsyncml_msg_sync = "<?xml version=\"1.0\"?>\n<!DOCTYPE SyncML PUBLIC \"-//SYNCML//DTD SyncML 1.1//EN\" \"http://www.syncml.org/docs/syncml_represent_v11_20020213.dtd\"><SyncML xmlns=\"SYNCML:SYNCML1.1\"><SyncHdr><VerDTD>1.1</VerDTD><VerProto>SyncML/1.1</VerProto><SessionID>2</SessionID><MsgID>3</MsgID><Target><LocURI>IMEI:123456789012345</LocURI></Target><Source><LocURI>PC Suite</LocURI></Source><Meta><MaxMsgSize xmlns=\"syncml:metinf\">65535</MaxMsgSize></Meta></SyncHdr>\n<SyncBody><Status><CmdID>1</CmdID><MsgRef>2</MsgRef><CmdRef>0</CmdRef><Cmd>SyncHdr</Cmd><TargetRef>PC Suite</TargetRef><SourceRef>IMEI:123456789012345</SourceRef><Data>200</Data></Status>\n<Status><CmdID>8</CmdID><MsgRef>2</MsgRef><CmdRef>5</CmdRef><Cmd>Results</Cmd><SourceRef>./devinf11</SourceRef><Data>200</Data></Status>\n<Status><CmdID>9</CmdID><MsgRef>2</MsgRef><CmdRef>6</CmdRef><Cmd>Sync</Cmd><TargetRef>./Calendar</TargetRef><SourceRef>./C:Calendar</SourceRef><Data>200</Data></Status>\n<Status><CmdID>10</CmdID><MsgRef>2</MsgRef><CmdRef>7</CmdRef><Cmd>Add</Cmd><SourceRef>2</SourceRef><Data>201</Data></Status>\n<Status><CmdID>11</CmdID><MsgRef>2</MsgRef><CmdRef>8</CmdRef><Cmd>Sync</Cmd><TargetRef>./Contacts</TargetRef><SourceRef>./C:Contacts.cdb</SourceRef><Data>200</Data></Status>\n<Status><CmdID>12</CmdID><MsgRef>2</MsgRef><CmdRef>9</CmdRef><Cmd>Add</Cmd><SourceRef>1</SourceRef><Data>201</Data></Status>\n<Status><CmdID>13</CmdID><MsgRef>2</MsgRef><CmdRef>10</CmdRef><Cmd>Add</Cmd><SourceRef>2</SourceRef><Data>201</Data></Status>\n<Status><CmdID>14</CmdID><MsgRef>2</MsgRef><CmdRef>11</CmdRef><Cmd>Add</Cmd><SourceRef>3</SourceRef><Data>201</Data></Status>\n<Status><CmdID>15</CmdID><MsgRef>2</MsgRef><CmdRef>12</CmdRef><Cmd>Add</Cmd><SourceRef>13</SourceRef><Data>201</Data></Status>\n<Sync><CmdID>16</CmdID><Target><LocURI>./C:Calendar</LocURI></Target><Source><LocURI>./Calendar</LocURI></Source><Meta><MaxObjSize xmlns=\"syncml:metinf\">102400</MaxObjSize></Meta><NumberOfChanges>0</NumberOfChanges>\n</Sync><Sync><CmdID>17</CmdID><Target><LocURI>./C:Contacts.cdb</LocURI></Target><Source><LocURI>./Contacts</LocURI></Source><Meta><MaxObjSize xmlns=\"syncml:metinf\">102400</MaxObjSize></Meta><NumberOfChanges>0</NumberOfChanges>\n</Sync><Final></Final></SyncBody></SyncML>";

const char *mobile_msg_map = "<?xml version=\"1.0\"?><!DOCTYPE SyncML PUBLIC \"-//SYNCML//DTD SyncML 1.1//EN\" \"http://www.syncml.org/docs/syncml_represent_v11_20020213.dtd\"><SyncML xmlns=\"SYNCML:SYNCML1.1\"><SyncHdr><VerDTD>1.1</VerDTD><VerProto>SyncML/1.1</VerProto><SessionID>2</SessionID><MsgID>3</MsgID><Target><LocURI>PC Suite</LocURI></Target><Source><LocURI>IMEI:123456789012345</LocURI></Source><Meta><MaxMsgSize xmlns=\"syncml:metinf\">65535</MaxMsgSize></Meta></SyncHdr><SyncBody><Status><CmdID>1</CmdID><MsgRef>3</MsgRef><CmdRef>0</CmdRef><Cmd>SyncHdr</Cmd><TargetRef>IMEI:123456789012345</TargetRef><SourceRef>PC Suite</SourceRef><Data>200</Data></Status><Status><CmdID>2</CmdID><MsgRef>3</MsgRef><CmdRef>16</CmdRef><Cmd>Sync</Cmd><TargetRef>./C:Calendar</TargetRef><SourceRef>./Calendar</SourceRef><Data>200</Data></Status><Status><CmdID>3</CmdID><MsgRef>3</MsgRef><CmdRef>17</CmdRef><Cmd>Sync</Cmd><TargetRef>./C:Contacts.cdb</TargetRef><SourceRef>./Contacts</SourceRef><Data>200</Data></Status><Final/></SyncBody></SyncML>";


const char *libsyncml_msg_end = "<?xml version=\"1.0\"?>\n<!DOCTYPE SyncML PUBLIC \"-//SYNCML//DTD SyncML 1.1//EN\" \"http://www.syncml.org/docs/syncml_represent_v11_20020213.dtd\"><SyncML xmlns=\"SYNCML:SYNCML1.1\"><SyncHdr><VerDTD>1.1</VerDTD><VerProto>SyncML/1.1</VerProto><SessionID>2</SessionID><MsgID>4</MsgID><Target><LocURI>IMEI:123456789012345</LocURI></Target><Source><LocURI>PC Suite</LocURI></Source><Meta><MaxMsgSize xmlns=\"syncml:metinf\">65535</MaxMsgSize></Meta></SyncHdr>\n<SyncBody><Status><CmdID>1</CmdID><MsgRef>3</MsgRef><CmdRef>0</CmdRef><Cmd>SyncHdr</Cmd><TargetRef>PC Suite</TargetRef><SourceRef>IMEI:123456789012345</SourceRef><Data>200</Data></Status>\n<Final></Final></SyncBody></SyncML>";

